> ## Documentation Index
> Fetch the complete documentation index at: https://developer.pagou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Refund a PIX Payment

> Refund a PIX payment through the legacy v1 API.



## OpenAPI

````yaml api-reference/openapi-v1.json POST /pix/v1/payment/refund/{id}
openapi: 3.1.0
info:
  title: API PIX - v1
  description: >-
    API for Pagou.ai Gateway


    Warning: API v1 is legacy and not recommended for new integrations. It
    receives security updates only.
  version: 2.0.0
  contact:
    name: Support
    url: https://pagou.ai
    email: support@pagou.ai
servers:
  - url: https://api.pagou.ai
    description: Production server
  - url: https://api.sandbox.pagou.ai
    description: Sandbox server for testing
security:
  - ApiKeyAuth: []
paths:
  /pix/v1/payment/refund/{id}:
    post:
      tags:
        - API - Refunds
      summary: Refund a PIX Payment
      description: Create a new refund
      operationId: postPixPaymentRefundById
      parameters:
        - schema:
            type: string
            minLength: 1
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                value:
                  type: number
                  minimum: 0
                  exclusiveMinimum: true
                description:
                  type: string
                  minLength: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  refundId:
                    type: string
                  transactionId:
                    type: string
                  status:
                    type: string
                  value:
                    type: integer
                  createdAt:
                    type: string
                required:
                  - refundId
                  - transactionId
                  - status
                  - value
                  - createdAt
                additionalProperties: false
              example:
                refundId: rfd_2ec3f2e53b53470dbaf0fcb1afac58b8
                transactionId: trn_2d02fb2dbfa5479bbd8ec8ad5d629b9e
                status: REFUND_IN
                value: 1200
                createdAt: '2026-02-07T13:20:03.000Z'
        '422':
          description: Validation error (RFC 7807)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
              example:
                type: https://api.pagou.ai/problems/validation-error
                title: Validation Error
                status: 422
                detail: The request contains invalid data.
                instance: /pix/v1/payment/refund/example-id
                errors:
                  - field: transaction.value
                    message: Must be greater than zero.
                    code: invalid_type
        default:
          description: RFC 7807 Problem Details error response
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
              example:
                type: https://api.pagou.ai/problems/unauthorized
                title: Unauthorized
                status: 401
                detail: Authentication failed for POST /pix/v1/payment/refund/{id}.
                instance: /pix/v1/payment/refund/example-id
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ValidationProblemDetails:
      allOf:
        - $ref: '#/components/schemas/ProblemDetails'
        - type: object
          properties:
            errors:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                  message:
                    type: string
                  code:
                    type: string
                additionalProperties: true
          additionalProperties: true
    ProblemDetails:
      type: object
      description: RFC 7807 Problem Details object.
      properties:
        type:
          type: string
          format: uri-reference
        title:
          type: string
        status:
          type: number
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
      required:
        - type
        - title
        - status
        - detail
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey

````